GWT 2.7.0

## com.google.gwt.logging.server
Class RemoteLoggingServiceImpl

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
                  com.google.gwt.user.server.rpc.RemoteServiceServlet
                      com.google.gwt.logging.server.RemoteLoggingServiceImpl

All Implemented Interfaces:
  RemoteLoggingService, RemoteService, SerializationPolicyProvider, java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class RemoteLoggingServiceImpl

extends RemoteServiceServlet
implements RemoteLoggingService

Server-side code for the remote log handler.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`perThreadRequest, perThreadResponse`

Constructor Summary
`RemoteLoggingServiceImpl()`

Method Summary
`java.lang.String` | `logOnServer(java.util.logging.LogRecord lr)` Logs a Log Record which has been serialized using GWT RPC on the server.
`void` | `setLoggerNameOverride(java.lang.String override)` By default, messages are logged to a logger that has the same name as the logger that created them on the client.
`void` | `setSymbolMapsDirectory(java.lang.String symbolMapsDir)` By default, this service does not do any deobfuscation.

Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet
`checkPermutationStrongName, doGetSerializationPolicy, getCodeServerPolicyUrl, getRequestModuleBasePath, getSerializationPolicy, init, loadPolicyFromCodeServer, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processCall, processPost, shouldCompressResponse`

Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteLoggingServiceImpl

    public RemoteLoggingServiceImpl()

Method Detail

### logOnServer

    public final java.lang.String logOnServer(java.util.logging.LogRecord lr)

  Logs a Log Record which has been serialized using GWT RPC on the server.

  Specified by:
    `logOnServer` in interface `RemoteLoggingService`
  Returns:
    either an error message, or null if logging is successful.

### setLoggerNameOverride

    public void setLoggerNameOverride(java.lang.String override)

  By default, messages are logged to a logger that has the same name as the logger that created them on the client. If you want to log all messages from the client to a logger with another name, you can set the override using this method.

### setSymbolMapsDirectory

    public void setSymbolMapsDirectory(java.lang.String symbolMapsDir)

  By default, this service does not do any deobfuscation. In order to do server-side deobfuscation, you must copy the symbolMaps files to a directory visible to the server and set the directory using this method.

GWT 2.7.0